Loading...
Searching...
No Matches
psa_drv_se_mac_t Struct Reference
Secure Element Message Authentication Codes

A struct containing all of the function pointers needed to perform secure element MAC operations. More...

`#include <crypto_se_driver.h>`

Collaboration diagram for psa_drv_se_mac_t:
[legend]

## Data Fields

size_t | private_context_size
psa_drv_se_mac_setup_t | private_p_setup
psa_drv_se_mac_update_t | private_p_update
psa_drv_se_mac_finish_t | private_p_finish
psa_drv_se_mac_finish_verify_t | private_p_finish_verify
psa_drv_se_mac_abort_t | private_p_abort
psa_drv_se_mac_generate_t | private_p_mac
psa_drv_se_mac_verify_t | private_p_mac_verify

## Detailed Description

A struct containing all of the function pointers needed to perform secure element MAC operations.

PSA Crypto API implementations should populate the table as appropriate upon startup.

If one of the functions is not implemented (such as `psa_drv_se_mac_generate_t`), it should be set to NULL.

Driver implementers should ensure that they implement all of the functions that make sense for their hardware, and that they provide a full solution (for example, if they support `p_setup`, they should also support `p_update` and at least one of `p_finish` or `p_finish_verify`).

Definition at line 311 of file crypto_se_driver.h.

## Field Documentation

## private_context_size

size_t psa_drv_se_mac_t::private_context_size

The size in bytes of the hardware-specific secure element MAC context structure

Definition at line 315 of file crypto_se_driver.h.

## private_p_abort

psa_drv_se_mac_abort_t psa_drv_se_mac_t::private_p_abort

Function that aborts a previously started MAC operation

Definition at line 330 of file crypto_se_driver.h.

## private_p_finish

psa_drv_se_mac_finish_t psa_drv_se_mac_t::private_p_finish

Function that completes a MAC operation

Definition at line 324 of file crypto_se_driver.h.

## private_p_finish_verify

psa_drv_se_mac_finish_verify_t psa_drv_se_mac_t::private_p_finish_verify

Function that completes a MAC operation with a verify check

Definition at line 327 of file crypto_se_driver.h.

## private_p_mac

psa_drv_se_mac_generate_t psa_drv_se_mac_t::private_p_mac

Function that performs a MAC operation in one call

Definition at line 333 of file crypto_se_driver.h.

## private_p_mac_verify

psa_drv_se_mac_verify_t psa_drv_se_mac_t::private_p_mac_verify

Function that performs a MAC and verify operation in one call

Definition at line 336 of file crypto_se_driver.h.

## private_p_setup

psa_drv_se_mac_setup_t psa_drv_se_mac_t::private_p_setup

Function that performs a MAC setup operation

Definition at line 318 of file crypto_se_driver.h.

## private_p_update

psa_drv_se_mac_update_t psa_drv_se_mac_t::private_p_update

Function that performs a MAC update operation

Definition at line 321 of file crypto_se_driver.h.

The documentation for this struct was generated from the following file:

- crypto_se_driver.h